[Numpy-discussion] Installation problem with Numpy 1.3 on Windows AMD64

David Cournapeau cournape@gmail....
Sat May 30 04:14:52 CDT 2009


On Sat, May 30, 2009 at 8:02 AM, Dinesh B Vadhia
<dineshbvadhia@hotmail.com> wrote:
> Hi!  I just upgraded to Python 2.6.2 (from 2.5) on Windows AMD64 in order to
> use Numpy 1.3 for AMD64 and got the following error:
>
> - pythonw.exe has stopped working
>
> Numpy was installed both per-machine and per-user but the error persists.
> Python 2.6.2 works without Numpy.

The 64 bits build is experimental on windows - there is one
fundamental issue which I have not been able to nail down yet. It may
be a numpy bug, a python bug, or a mingw-w64 bug, I am not sure yet.
But it means that under some conditions, numpy crashes before import.

If you need a working 64 bits numpy, the best bet is to build it by
yourself using the MS compilers (the 64 bits compilers are available
for free if you install the platform SDK 6.0a or later). But then you
won't be able to build scipy on top of it unless you manage to use a
64 bits fortran compiler.

David


More information about the Numpy-discussion mailing list